# Lumen 的sql记录组件

    引入该组件后，如果 APP_DEBUG = true 时，会自动将sql执行日志记录到 storage/logs/sql-{Y-m-d}.log 中。默认只保留最近15天的日志

### 引入
```bash
composer config repositories.php-sql-logger vcs git@git.int.haowumc.com:composer/php-sql-logger.git
composer require --dev paidian/php-sql-logger:dev-master
```

### 开启
```php
if (env('APP_ENV') == 'local') {
    $app->register(Arch\SQLEventServiceProvider::class);
}
```

###配置
 在.env中增加如下配置
```bash
APP_NAME = api
```

